---

- name: NextCloud High-Performance-Backend {{ansible_distribution}} {{ansible_distribution_release}} | App aktivieren
  command: php occ app:enable "{{ item }}"
  with_items:
    - notify_push
  become: yes
  become_user: www-data
  args:
    chdir: "{{ www_install_path }}"

- name: NextCloud High-Performance-Backend   {{ansible_distribution}} {{ansible_distribution_release}} | Systemd Service High-Performance-Backend erstellen
  template: 
    src: templates/notify_push.service.j2 
    dest: /etc/systemd/system/notify_push.service

- name: NextCloud High-Performance-Backend   {{ansible_distribution}} {{ansible_distribution_release}} | Systemd Service High-Performance-Backend enabled
  ansible.builtin.systemd:
    state: started
    enabled: yes
    name: notify_push

- name: NextCloud High-Performance-Backend   {{ansible_distribution}} {{ansible_distribution_release}} | Public-IP auslesen
  community.general.ipify_facts:

- name: NextCloud High-Performance-Backend {{ansible_distribution}} {{ansible_distribution_release}} | Public IP eintragen in Config
  command: php occ config:system:set trusted_proxies 6 --value "{{ ipify_public_ip }}"
  become: yes
  become_user: www-data
  args:
    chdir: "{{ www_install_path }}"

- name: NextCloud High-Performance-Backend {{ansible_distribution}} {{ansible_distribution_release}} | NotifyPush aktivieren
  command: php occ notify_push:setup -nq https://{{ code_domain }}/push
  become: yes
  become_user: www-data
  args:
    chdir: "{{ www_install_path }}"
